# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Metric.Type

    java.lang.Object
      com.google.gdata.data.analytics.Metric.Type

Enclosing class:
  Metric

    public static final class Metric.Type

extends java.lang.Object

The format of data represented by the metric.

Field Summary
`static java.lang.String` `CURRENCY` Currency metric.
`static java.lang.String` `FLOAT` Float metric.
`static java.lang.String` `INTEGER` Integer metric.
`static java.lang.String` `PERCENT` Percent metric.
`static java.lang.String` `TIME` Time metric.
`static java.lang.String` `US_CURRENCY` Us currency metric.

Constructor Summary
`Metric.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENCY

    public static final java.lang.String CURRENCY

  Currency metric.

  See Also:
    Constant Field Values

### FLOAT

    public static final java.lang.String FLOAT

  Float metric.

  See Also:
    Constant Field Values

### INTEGER

    public static final java.lang.String INTEGER

  Integer metric.

  See Also:
    Constant Field Values

### PERCENT

    public static final java.lang.String PERCENT

  Percent metric.

  See Also:
    Constant Field Values

### TIME

    public static final java.lang.String TIME

  Time metric.

  See Also:
    Constant Field Values

### US_CURRENCY

    public static final java.lang.String US_CURRENCY

  Us currency metric.

  See Also:
    Constant Field Values

Constructor Detail

### Metric.Type

    public Metric.Type()